class Quandl::Cassandra::Models::Data < Quandl::Data
  
  require_relative 'data/search'
  
  include Quandl::Cassandra::Models::Data::Search
  
  attr_accessor :dataset_id, :column_ids, :column_frequencies
  
  # start a new scope from this data
  def scoped
    s = self.class.scope.new
    s.id(dataset_id)
    s.column_ids(column_ids) if column_ids
    s.column_frequencies(column_frequencies) if column_frequencies
    s
  end
  
end