class CreateColumns < CassandraMigrations::Migration
  
  def up
    cql = "CREATE TABLE columns (
    id uuid,
    type text,
    time int,
    value double,
    PRIMARY KEY (id, type, time)
    ) WITH COMPACT STORAGE;"
    CassandraMigrations::Cassandra.execute(cql)
  end

  def down
    drop_table :columns
  end
  
end
