require 'rails'
require 'pry'
require 'quandl/cassandra/models'
require 'cassandra_migrations'

RAILS_ENV = ENV['RAILS_ENV'] || 'development'

root = File.expand_path('../../', __FILE__)

CassandraMigrations.load_config_from_file( File.join(root, "config/cassandra.yml"), RAILS_ENV )
CassandraMigrations.configuration.migrations_path = File.join(root, "migrations/")

spec = Gem::Specification.find_by_name 'cassandra_migrations'
load "#{spec.gem_dir}/lib/tasks/cassandra.rake"