class Quandl::Cassandra::Models::Column::Read::Column < Quandl::Cassandra::Models::Column::Read
  
  def perform
    # given an id, this is a dataset
    self.column_ids ||= Quandl::Cassandra::Models::Dataset.find_column_ids_by_id(id) if id.present?
    self.column_ids = [] if self.column_ids.blank?
    # given a column, this is requesting a specific column
    self.column_ids = pluck_column_id if column.present? && self.column_ids.present?
  end
  
  def pluck_column_id
    [ self.column_ids[ column ] ]
  end
  
  def column
    attributes[:column].present? ? attributes[:column] - 1 : nil
  end
  
end