class Quandl::Cassandra::Models::Column::Read::Row < Quandl::Cassandra::Models::Column::Read

  def perform
    return unless attributes[:row].present?
    # ensure integer
    row = attributes[:row]
    # negative value needs inversion
    if row < 0
      attributes[:order]   = :asc
      attributes[:offset]  = (row * -1) - 1
      attributes[:limit]   = 1
    # postive value is an offset of current observation
    else
      attributes[:order]   = :desc
      attributes[:offset]  = row
      attributes[:limit]   = 1
    end
  end
  
end