class Quandl::Cassandra::Models::Column::Write::InsertColumnAttributes < Quandl::Cassandra::Models::Column::Write
  
  # INPUTS
  # { source: { UUID: [[1,2], [2,4]], UUID: [[1,3],[2,8]] }}
  
  def perform
    return if column_ids.blank?
    # format data for batch insertion
    rows_values = []
    column_ids.each_with_index do |column_id, position|
      rows_values << [id, column_id, position, frequency]
    end
    # insert dataset_attribute
    Quandl::Cassandra::Base.execute("INSERT INTO dataset_attributes (id, updated_at, frequency) VALUES (#{id}, #{(Time.now.to_f * 1000).to_i}, '#{frequency}')")
    # insert data
    Quandl::Cassandra::Batch.execute(rows_values) do |id, column_id, position, frequency|
      %Q{INSERT INTO datasets (id, column_id, position) VALUES (#{id}, #{column_id}, #{position})
      INSERT INTO column_attributes ( id, frequency ) VALUES ( #{column_id}, '#{frequency}' )}
    end
  end
  
end