class CreateDatasets < CassandraMigrations::Migration
  
  def up
    cql = "CREATE TABLE datasets (
      id double,
      column_id uuid,
      position int,
      PRIMARY KEY (id, column_id)
    )
    WITH COMPACT STORAGE;"
    CassandraMigrations::Cassandra.execute(cql)
  end

  def down
    drop_table :datasets
  end
  
end